def nb_kuplets(n,k):
  return(n**k)

def fac(n):
  P=1
  for i in range(1,n+1):
    P=i*P
  return(P)

def nb_kued(n,k):
  P=1
  for i in range(n-k+1,n+1):
    P=i*P
  return(P)

def nb_comb(n,k):
  return(nb_kued(n,k)/fac(k))